Interface CxfEndpointBuilderFactory.CxfBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- CxfEndpointBuilderFactory
public static interface CxfEndpointBuilderFactory.CxfBuilders
-
Method Summary
Modifier and TypeMethodDescriptioncxf()CXF (camel-cxf-soap) Expose SOAP WebServices using Apache CXF or connect to external WebServices using CXF WS client.CXF (camel-cxf-soap) Expose SOAP WebServices using Apache CXF or connect to external WebServices using CXF WS client.CXF (camel-cxf-soap) Expose SOAP WebServices using Apache CXF or connect to external WebServices using CXF WS client.
-
Method Details
-
cxf
CXF (camel-cxf-soap) Expose SOAP WebServices using Apache CXF or connect to external WebServices using CXF WS client. Category: http,webservice Since: 1.0 Maven coordinates: org.apache.camel:camel-cxf-soap- Returns:
- the dsl builder for the headers' name.
-
cxf
CXF (camel-cxf-soap) Expose SOAP WebServices using Apache CXF or connect to external WebServices using CXF WS client. Category: http,webservice Since: 1.0 Maven coordinates: org.apache.camel:camel-cxf-soap Syntax:cxf:beanId:addressPath parameter: beanId To lookup an existing configured CxfEndpoint. Must used bean: as prefix. Path parameter: address The service publish address.- Parameters:
path- beanId:address- Returns:
- the dsl builder
-
cxf
CXF (camel-cxf-soap) Expose SOAP WebServices using Apache CXF or connect to external WebServices using CXF WS client. Category: http,webservice Since: 1.0 Maven coordinates: org.apache.camel:camel-cxf-soap Syntax:cxf:beanId:addressPath parameter: beanId To lookup an existing configured CxfEndpoint. Must used bean: as prefix. Path parameter: address The service publish address.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- beanId:address- Returns:
- the dsl builder
-